----------------------------------------------------------
-- Bank info frame
----------------------------------------------------------

local AceOO = AceLibrary("AceOO-2.0")
SanityBagsBankInfo = AceOO.Class("AceEvent-2.0")

function SanityBagsBankInfo.prototype:init()
	SanityBagsBankInfo.super.prototype.init(self)
	self.frame = CreateFrame("Frame", "SanityBagsBankInfoFrame", UIParent, "SanityBorderedFrame")
	self.bags = {}
	local lastbag = nil
	for i = 5, 11 do
		local bag = CreateFrame("Button", "SanityBagsBankInfoButton" .. i, self.frame, "SanityBankItemButtonBagTemplate")
		if i == 5 then
			bag:SetPoint("TOPLEFT", self.frame, "TOPLEFT", 8, -24)
		else
			bag:SetPoint("TOPLEFT", lastbag, "TOPRIGHT", 4, 0)
		end
		bag:SetID(i)
		lastbag = bag
		tinsert(self.bags, bag)
	end
	self.frame:SetWidth((lastbag:GetWidth() + 4) * 6 + 12)
	self.frame:SetHeight(lastbag:GetHeight() + BankFramePurchaseInfo:GetHeight() + 16)
	self.frame:Hide()
end

function SanityBagsBankInfo.prototype:Enable()
	BankFramePurchaseInfo:SetParent(self.frame)
	BankFramePurchaseInfo:SetPoint("TOPLEFT", self.bags[1], "BOTTOMLEFT", 0, 10)
	self:RegisterEvent("BANKFRAME_OPENED")
	self:RegisterEvent("BANKFRAME_CLOSED")
end

function SanityBagsBankInfo.prototype:Disable()
	BankFramePurchaseInfo:SetParent(BankFrame)
	BankFramePurchaseInfo:SetPoint("CENTER", BankFrame, "CENTER", -23, -105)
	self:UnregisterEvent("BANKFRAME_OPENED")
	self:UnregisterEvent("BANKFRAME_CLOSED")
end

function SanityBagsBankInfo.prototype:BANKFRAME_OPENED()
	self.frame:Show()
end

function SanityBagsBankInfo.prototype:BANKFRAME_CLOSED()
	self.frame:Hide()
end